> For the complete documentation index, see [llms.txt](https://developer.esw.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.esw.com/api-reference/customs-catalog-api/vat.md).

# Vat

## GET /api/v2/Vat

> Returns a list of vats

```json
{"openapi":"3.0.4","info":{"title":"Customs.Catalog.Api","version":"2.0.1432.0"},"servers":[{"url":"https://logistics-customscatalog-api.sandbox.eshopworld.com/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"Please insert JWT with Bearer into field","name":"Authorization","in":"header"}},"schemas":{"Customs.Catalog.Domain.Pkg.Models.Paging.PagedResult`1[[Customs.Catalog.Domain.Pkg.Models.DTO.VatRateDto, Customs.Catalog.Domain.Pkg, Version=2.1.0.1432, Culture=neutral, PublicKeyToken=null]]":{"type":"object","properties":{"currentPage":{"type":"integer","description":"Gets or sets the current page.","format":"int32"},"pageCount":{"type":"integer","description":"Gets or sets the page count.","format":"int32"},"pageSize":{"type":"integer","description":"Gets or sets the size of the page.","format":"int32"},"rowCount":{"type":"integer","description":"Gets or sets the row count.","format":"int32"},"firstRowOnPage":{"type":"integer","description":"Gets the first row on page.","format":"int32","readOnly":true},"lastRowOnPage":{"type":"integer","description":"Gets the last row on page.","format":"int32","readOnly":true},"orderByField":{"type":"string","description":"Gets or sets the order by field.","nullable":true},"isOrderByAsc":{"type":"boolean","description":"Gets or sets a value indicating whether this instance is order by asc."},"results":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.VatRateDto"},"description":"Gets or sets the results.","nullable":true}},"additionalProperties":false,"description":""},"Customs.Catalog.Domain.Pkg.Models.DTO.VatRateDto":{"type":"object","properties":{"id":{"type":"string","description":"\nGets or sets the identifier.","nullable":true},"vatBandId":{"type":"integer","description":"\nGets or sets the vat band identifier.","format":"int32","nullable":true},"regionCode":{"type":"string","description":"Gets or sets the region code.","nullable":true},"countryIso":{"type":"string","description":"Gets or sets the country iso.","nullable":true},"subRegion":{"type":"string","description":"Gets or sets the sub region.","nullable":true},"vatPercentageRate":{"type":"number","description":"Gets or sets the vat percentage rate.","format":"double","nullable":true},"description":{"type":"string","description":"Gets or sets the description.","nullable":true},"rateType":{"type":"integer","description":"Gets or sets the type of the rate.","format":"int32","nullable":true}},"additionalProperties":false,"description":"Represents vat rate data trasfer object"},"Customs.Catalog.Domain.Pkg.Models.DTO.Error":{"type":"object","properties":{"message":{"type":"string","description":"Error message","nullable":true},"code":{"type":"integer","description":"Error code","format":"int32"}},"additionalProperties":false,"description":"Error information."}}},"paths":{"/api/v2/Vat":{"get":{"tags":["Vat"],"summary":"Returns a list of vats","operationId":"api/v2/Vat_GET","parameters":[{"name":"VatBandId","in":"query","description":"Gets or sets the vat band identifier.","schema":{"type":"integer","format":"int32"}},{"name":"RegionCode","in":"query","description":"Gets or sets the region code.","schema":{"type":"string"}},{"name":"CountryIso","in":"query","description":"Gets or sets the country iso.","schema":{"type":"string"}},{"name":"PageNumber","in":"query","description":"The page number to display.","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"PageSize","in":"query","description":"The size of the page to display.","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"OrderByField","in":"query","description":"The field to be used to order the results","schema":{"type":"string"}},{"name":"IsOrderByAsc","in":"query","description":"The field to be used to sort the results","schema":{"type":"boolean"}},{"name":"subRegion","in":"query","description":"","schema":{"type":"string","default":""}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.Paging.PagedResult`1[[Customs.Catalog.Domain.Pkg.Models.DTO.VatRateDto, Customs.Catalog.Domain.Pkg, Version=2.1.0.1432, Culture=neutral, PublicKeyToken=null]]"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.Paging.PagedResult`1[[Customs.Catalog.Domain.Pkg.Models.DTO.VatRateDto, Customs.Catalog.Domain.Pkg, Version=2.1.0.1432, Culture=neutral, PublicKeyToken=null]]"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.Paging.PagedResult`1[[Customs.Catalog.Domain.Pkg.Models.DTO.VatRateDto, Customs.Catalog.Domain.Pkg, Version=2.1.0.1432, Culture=neutral, PublicKeyToken=null]]"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}}}}}}}
```

## POST /api/v2/Vat

> Add new Vat rate

```json
{"openapi":"3.0.4","info":{"title":"Customs.Catalog.Api","version":"2.0.1432.0"},"servers":[{"url":"https://logistics-customscatalog-api.sandbox.eshopworld.com/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"Please insert JWT with Bearer into field","name":"Authorization","in":"header"}},"schemas":{"Customs.Catalog.Domain.Pkg.Models.DTO.VatRateDto":{"type":"object","properties":{"id":{"type":"string","description":"\nGets or sets the identifier.","nullable":true},"vatBandId":{"type":"integer","description":"\nGets or sets the vat band identifier.","format":"int32","nullable":true},"regionCode":{"type":"string","description":"Gets or sets the region code.","nullable":true},"countryIso":{"type":"string","description":"Gets or sets the country iso.","nullable":true},"subRegion":{"type":"string","description":"Gets or sets the sub region.","nullable":true},"vatPercentageRate":{"type":"number","description":"Gets or sets the vat percentage rate.","format":"double","nullable":true},"description":{"type":"string","description":"Gets or sets the description.","nullable":true},"rateType":{"type":"integer","description":"Gets or sets the type of the rate.","format":"int32","nullable":true}},"additionalProperties":false,"description":"Represents vat rate data trasfer object"},"Customs.Catalog.Domain.Pkg.Models.DTO.Error":{"type":"object","properties":{"message":{"type":"string","description":"Error message","nullable":true},"code":{"type":"integer","description":"Error code","format":"int32"}},"additionalProperties":false,"description":"Error information."}}},"paths":{"/api/v2/Vat":{"post":{"tags":["Vat"],"summary":"Add new Vat rate","operationId":"api/v2/Vat_POST","requestBody":{"description":"The vat rate data transfer object.","content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.VatRateDto"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.VatRateDto"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.VatRateDto"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.VatRateDto"}}}},"responses":{"201":{"description":"Created","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.VatRateDto"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.VatRateDto"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.VatRateDto"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}}}}}}}
```

## PUT /api/v2/Vat/{id}

> Updates a vat rate.

```json
{"openapi":"3.0.4","info":{"title":"Customs.Catalog.Api","version":"2.0.1432.0"},"servers":[{"url":"https://logistics-customscatalog-api.sandbox.eshopworld.com/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"Please insert JWT with Bearer into field","name":"Authorization","in":"header"}},"schemas":{"Customs.Catalog.Domain.Pkg.Models.DTO.VatRateDto":{"type":"object","properties":{"id":{"type":"string","description":"\nGets or sets the identifier.","nullable":true},"vatBandId":{"type":"integer","description":"\nGets or sets the vat band identifier.","format":"int32","nullable":true},"regionCode":{"type":"string","description":"Gets or sets the region code.","nullable":true},"countryIso":{"type":"string","description":"Gets or sets the country iso.","nullable":true},"subRegion":{"type":"string","description":"Gets or sets the sub region.","nullable":true},"vatPercentageRate":{"type":"number","description":"Gets or sets the vat percentage rate.","format":"double","nullable":true},"description":{"type":"string","description":"Gets or sets the description.","nullable":true},"rateType":{"type":"integer","description":"Gets or sets the type of the rate.","format":"int32","nullable":true}},"additionalProperties":false,"description":"Represents vat rate data trasfer object"},"Customs.Catalog.Domain.Pkg.Models.DTO.Error":{"type":"object","properties":{"message":{"type":"string","description":"Error message","nullable":true},"code":{"type":"integer","description":"Error code","format":"int32"}},"additionalProperties":false,"description":"Error information."}}},"paths":{"/api/v2/Vat/{id}":{"put":{"tags":["Vat"],"summary":"Updates a vat rate.","operationId":"api/v2/Vat/{id}_PUT","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.VatRateDto"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.VatRateDto"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.VatRateDto"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.VatRateDto"}}}},"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.VatRateDto"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.VatRateDto"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.VatRateDto"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.esw.com/api-reference/customs-catalog-api/vat.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
